package org.example.georg.connector.gc;

public interface ConnectorSupportedQueries {
	
	// Mandatory queries (GeOrg expects these to work in any connector)
	public static final String LIST_CACHES_BY_COORD = "cacheByCoord";
	public static final String GET_CACHE_DETAILS= "cacheDetails";
	public static final String GET_CACHE_GPX = "readGPX";
	public static final String PING = "ping";
	
	// Optional queries
	public static final String GET_SUPPORTED_QUERIES = "supportedQueries";
	public static final String GET_COMMANDS = "getCommands";
	public static final String GET_SPOILERS = "getSpoilers";
	public static final String EXECUTE_COMMAND = "executeCommand";
	public static final String PUSH_LOG = "writeLog";
	public static final String PUSH_FIELD_NOTES = "pushFieldNotes";
	public static final String DOWNLOAD_MULTIPLE = "downloadMultiple";
	public static final String SYNC_CACHES = "syncCaches";

}
